# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonRepository.IDGenerationLocation

Packages that use CDOCommonRepository.IDGenerationLocation
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.
org.eclipse.emf.cdo.spi.workspace
Server provider interfaces (SPI) for CDO `workspaces`.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonRepository.IDGenerationLocation in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonRepository.IDGenerationLocation
Modifier and Type
Method
Description
`CDOCommonRepository.IDGenerationLocation`
CDOCommonRepository.`getIDGenerationLocation()`
`static CDOCommonRepository.IDGenerationLocation`
CDOCommonRepository.IDGenerationLocation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.IDGenerationLocation[]`
CDOCommonRepository.IDGenerationLocation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOCommonRepository.IDGenerationLocation in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories that return CDOCommonRepository.IDGenerationLocation
Modifier and Type
Method
Description
`CDOCommonRepository.IDGenerationLocation`
CDORepository.IDGeneration.`getLocation()`

## Uses of CDOCommonRepository.IDGenerationLocation in org.eclipse.emf.cdo.spi.workspace

Methods in org.eclipse.emf.cdo.spi.workspace that return CDOCommonRepository.IDGenerationLocation
Modifier and Type
Method
Description
`CDOCommonRepository.IDGenerationLocation`
InternalCDOWorkspace.`getIDGenerationLocation()`

## Uses of CDOCommonRepository.IDGenerationLocation in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return CDOCommonRepository.IDGenerationLocation
Modifier and Type
Method
Description
`CDOCommonRepository.IDGenerationLocation`
CDOWorkspaceConfiguration.`getIDGenerationLocation()`
Methods in org.eclipse.emf.cdo.workspace with parameters of type CDOCommonRepository.IDGenerationLocation
Modifier and Type
Method
Description
`void`
CDOWorkspaceConfiguration.`setIDGenerationLocation(CDOCommonRepository.IDGenerationLocation idGenerationLocation)`

## Uses of CDOCommonRepository.IDGenerationLocation in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOCommonRepository.IDGenerationLocation
Modifier and Type
Method
Description
`CDOCommonRepository.IDGenerationLocation`
CDOSessionProtocol.OpenSessionResult.`getIDGenerationLocation()`
`CDOCommonRepository.IDGenerationLocation`
CDOSessionProtocol.OpenSessionResult.`getRepositoryIDGenerationLocation()`
Deprecated.
As of 4.5 use `CDOSessionProtocol.OpenSessionResult.getIDGenerationLocation()`.
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOCommonRepository.IDGenerationLocation
Modifier
Constructor
Description
``
`OpenSessionResult(int sessionID, String userID, String repositoryUUID, CDOCommonRepository.Type repositoryType, CDOCommonRepository.State repositoryState, String storeType, Set<CDOID.ObjectType> objectIDTypes, long repositoryCreationTime, long lastUpdateTime, CDOID rootResourceID, boolean repositorySupportingAudits, boolean repositorySupportingBranches, boolean repositorySerializingCommits, boolean repositoryEnsuringReferentialIntegrity, CDOCommonRepository.IDGenerationLocation repositoryIDGenerationLocation)`
Deprecated.
As of 4.4 use `OpenSessionResult(CDODataInput, int)`.